Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSSlide Class Reference

Unsupported: The library sharing feature is currently not supported. More...

`#import <CSSlide.h>`

Inherits CSWhiteboardSurface.

## Instance Methods
(void) | - requestSlideDataWithCompletionHandler:
| Not supported in Client SDK. More...
(BOOL) | - isEqualToSlide:
| Not supported in Client SDK. More...
Instance Methods inherited from CSWhiteboardSurface
(void) | - setAsActiveWithCompletionHandler:
| Selects this surface as the active whiteboard surface. More...
(CSShape *) | - addShapeWithPoints:color:width:isFilled:isFinished:completionHandler:
| Adds a shape to the whiteboard surface. More...
(void) | - finishShape:completionHandler:
| Marks shape as finished. More...
(CSCircleShape *) | - addCircleWithTopLeft:bottomRight:color:width:isFilled:completionHandler:
| Adds a circle to the whiteboard surface. More...
(CSWhiteboardText *) | - addText:atPosition:fontSize:color:completionHandler:
| Adds a text to the whiteboard surface. More...
(void) | - updateShape:completionHandler:
| Updates given shape. More...
(void) | - deleteShape:completionHandler:
| Deletes a shape from surface. More...
(void) | - clearContentWithCompletionHandler:
| Removes all content from the drawing surface. More...

## Properties
id< CSSlideDelegate > | slideDelegate
| Not supported in Client SDK. More...
Properties inherited from CSWhiteboardSurface
id< CSWhiteboardSurfaceDelegate > | delegate
| The delegate used to handle events related to whiteboard surface. More...
NSString * | surfaceId
| The whiteboard surface ID associated with the particular CSWhiteboardSurface object. More...
CSParticipant * | addedBy
| Data of participant who added whiteboard surface. More...
CSParticipant * | removedBy
| Data of participant who removed whiteboard surface. More...
NSArray * | shapes
| Array containing all shapes belonging to this whiteboard surface as objects of class CSBasicShape. More...
CSCapability * | setAsActiveCapability
| CSCapability object indicating whether the local user is allowed to set given whiteboard surface active. More...

## Detailed Description

Unsupported: The library sharing feature is currently not supported.

Unsupported: This class and all of its supporting classes are for internal Avaya use only and should not be used by third party applications at this time. This is an incubating feature that is currently under development and the classes and methods associated with this feature are subject to change at any time. Use of this feature will not be supported by Avaya until such time that it is officially released.

## Method Documentation

- (BOOL) isEqualToSlide: |  | (CSSlide *) | other |

Not supported in Client SDK.

This method compares this slide to other. The subject of comparison is clientsdk::SlidePtr of this and other slides.

- (void) requestSlideDataWithCompletionHandler: |  | (void(^)(CSRenderingBlock *data, NSError *error)) | handler |

Not supported in Client SDK.

## Property Documentation

- (id<CSSlideDelegate>) slideDelegate
| read write nonatomic weak

Not supported in Client SDK.

The documentation for this class was generated from the following file:

- CSSlide.h